From cda6311a27688120dd21dfaad4edb7fed3f455f7 Mon Sep 17 00:00:00 2001
From: Wang Wei <wangw.fnst@fujitsu.com>
Date: Thu, 25 Jan 2024 17:04:41 +0900
Subject: [PATCH v1] Fix inappropriate comments in function
 ReplicationSlotAcquire

Fix the inappropriate description of return value in function
ReplicationSlotAcquire. We will only error out and will not return -1.
---
 src/backend/replication/slot.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/replication/slot.c b/src/backend/replication/slot.c
index 02a14ec210..fee692dbbf 100644
--- a/src/backend/replication/slot.c
+++ b/src/backend/replication/slot.c
@@ -467,7 +467,7 @@ retry:
 
 	/*
 	 * Search for the slot with the specified name if the slot to acquire is
-	 * not given. If the slot is not found, we either return -1 or error out.
+	 * not given. Error out if the slot is not found.
 	 */
 	s = SearchNamedReplicationSlot(name, false);
 	if (s == NULL || !s->in_use)
-- 
2.39.1.windows.1

